### Signal

# SpiceClientGLib UsbDeviceManager::auto-connect-failed

#### Declaration

    void
    auto_connect_failed (
      SpiceUsbDeviceManager* self,
      SpiceUsbDevice* device,
      GError* error,
      gpointer user_data
    )

#### Description [src]

The `SpiceUsbDeviceManager::auto-connect-failed` signal is emitted whenever the auto-connect property is true, and a newly plugged in device could not be auto-connected.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`device`

  Type: `SpiceUsbDevice`

  `SpiceUsbDevice` boxed object corresponding to the device which failed to auto connect.

  The data is owned by the caller of the function.

`error`

  Type: `GError`

  `GError` describing the reason why the autoconnect failed.

  The data is owned by the caller of the function.